#!/bin/sh

set -e

echo
echo "Running mypy"
mypy --disallow-incomplete-defs python tests

echo
echo "Running pylint"
pylint --ignore=test_mwmatching.py python tests

echo
echo "Running test_mwmatching.py"
python3 python/test_mwmatching.py

echo
echo "Checking test coverage"
coverage erase
coverage run --branch python/test_mwmatching.py
coverage report -m

